Load CodeEditor on non-editable pages
Closed, ResolvedPublic

Assigned To
None
Priority
Normal
Author
DarTar
Subscribers
brion, TheDJ, ori and 2 others
Projects
Reference
bz45258
Description

It would be good to leverage CodeEditor's syntax highlighting and line numbering when viewing a non-editable page source, for example: http://meta.wikimedia.org/w/index.php?title=Schema:Sandbox&action=edit (for anon users).


Version: unspecified
Severity: enhancement

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz45258.
DarTar created this task.Via LegacyFeb 22 2013, 12:03 AM
TheDJ added a comment.Via ConduitJan 10 2014, 11:22 AM

It seems we don't have any type of hook for the textfield in this sort of view... So to enable this, we need to add a change to core I think...

gerritbot added a comment.Via ConduitMar 25 2014, 10:30 PM

Change 120396 had a related patch set uploaded by TheDJ:
New hook for readonly editpages

https://gerrit.wikimedia.org/r/120396

gerritbot added a comment.Via ConduitApr 14 2014, 2:58 PM

Change 120397 had a related patch set uploaded by TheDJ:
[Do not merge] Allow the CodeEditor in read only mode

https://gerrit.wikimedia.org/r/120397

gerritbot added a comment.Via ConduitApr 15 2014, 6:16 PM

Change 120396 merged by Mwalker:
New hook for readonly editpages

https://gerrit.wikimedia.org/r/120396

gerritbot added a comment.Via ConduitApr 17 2014, 3:21 AM

Change 120397 merged by jenkins-bot:
Allow the CodeEditor in read only mode

https://gerrit.wikimedia.org/r/120397

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.